# Interface StructTypeLocal

Local structs (defined in contracts)

#### Category

Container types

#### Hierarchy

- StructTypeLocal

- Defined in codec/lib/format/types.ts:378

#####
Index

### Properties

definingContract?
definingContractName
id
kind
location?
memberTypes?
typeClass
typeName

## Properties

### `Optional` definingContract

definingContract?: ContractTypeNative

- Defined in codec/lib/format/types.ts:387

### definingContractName

definingContractName: string

- Defined in codec/lib/format/types.ts:386

### id

id: string

Internal ID. Format may change in future.

- Defined in codec/lib/format/types.ts:384

### kind

kind: "local"

- Defined in codec/lib/format/types.ts:380

### `Optional` location

location?: Location

- Defined in codec/lib/format/types.ts:392

### `Optional` memberTypes

memberTypes?: NameTypePair[]

these must be in order

- Defined in codec/lib/format/types.ts:391

### typeClass

typeClass: "struct"

- Defined in codec/lib/format/types.ts:379

### typeName

typeName: string

- Defined in codec/lib/format/types.ts:385

Generated using TypeDoc